在mac osX上安装libyaml for ruby​​(Lion)

我收到此错误消息:

"It seems your ruby installation is missing psych (for YAML output).
To eliminate this warning, please install libyaml and reinstall your ruby."

我试过输入这个命令:rvm pkg install libyaml

我收到此错误消息:

"Fetching yaml-0.1.4.tar.gz to /Users/luke/.rvm/archives
Extracting yaml-0.1.4.tar.gz to /Users/luke/.rvm/src
Error running 'tar xmzf /Users/luke/.rvm/archives/yaml-0.1.4.tar.gz -C
/Users/luke/.rvm/src ', 
   please read /Users/luke/.rvm/log/yaml/extract.log
Configuring yaml in /Users/luke/.rvm/src/yaml-0.1.4.
Error running ' ./configure --prefix="/Users/luke/.rvm/usr"  ', 
   please read /Users/luke/.rvm/log/yaml/configure.log
Compiling yaml in /Users/luke/.rvm/src/yaml-0.1.4.
Error running 'make ', please read /Users/luke/.rvm/log/yaml/make.log

Database file /Users/luke/.rvm/config/packages does not exist."

有谁知道我做错了什么?谢谢!

最佳答案
尝试这个…

打开一个新的终端窗口并:

cd .rvm/src
sudo rm -rf yaml*

(提供你的证书)

cd ~
rvm pkg install libyaml

转载注明原文:在mac osX上安装libyaml for ruby​​(Lion) - 代码日志